# Class WbResource

java.lang.Object
org.gradle.plugins.ide.eclipse.model.WbResource

All Implemented Interfaces:
  `WbModuleEntry`

public class WbResource extends Object implements WbModuleEntry
A wtp descriptor resource entry.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WbResource(Node node)`
  Creates a new `WbResource`.
  `WbResource(String deployPath, String sourcePath)`
  Creates a new `WbResource`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `appendNode(Node node)`
  Append node.
  `boolean`
  `equals(Object o)`
  `String`
  `getDeployPath()`
  Returns the deploy path.
  `String`
  `getSourcePath()`
  Returns the source path.
  `int`
  `hashCode()`
  `void`
  `setDeployPath(String deployPath)`
  Sets the deploy path.
  `void`
  `setSourcePath(String sourcePath)`
  Sets the source path.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WbResource

    public WbResource(Node node)
    Creates a new `WbResource`.
    Since:
      2.14

  - ### WbResource

    public WbResource(String deployPath, String sourcePath)
    Creates a new `WbResource`.
    Since:
      1.0

- ## Method Details

  - ### getDeployPath

    public String getDeployPath()
    Returns the deploy path.
    Since:
      1.0

  - ### setDeployPath

    public void setDeployPath(String deployPath)
    Sets the deploy path.
    Since:
      1.0

  - ### getSourcePath

    public String getSourcePath()
    Returns the source path.
    Since:
      1.0

  - ### setSourcePath

    public void setSourcePath(String sourcePath)
    Sets the source path.
    Since:
      1.0

  - ### appendNode

    public void appendNode(Node node)
    Description copied from interface: `WbModuleEntry`
    Append node.
    Specified by:
      `appendNode` in interface `WbModuleEntry`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`